
Redmine - Patch #10069

delimiter improvments

2012-01-26 17:19 - Peter Kalvin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

hi guys,

I have two suggestions for the email delimiter setting, which I think should be improved:

1. It should accept regex expression, because some email clients like web gmail will attach the signature after the quoted reply text,

so it won't be cropped.

2. If not regexp, then it should not match the whole delimiter line, only the beginning of it. Here is a patch for that:

Index: app/models/mail_handler.rb

===================================================================

--- app/models/mail_handler.rb    (revision 8414)

+++ app/models/mail_handler.rb    (working copy)

@@ -378,7 +378,8 @@

   def cleanup_body(body)

     delimiters = Setting.mail_handler_body_delimiters.to_s.split(/[\r\n]+/).reject(&:blank?).map 

{|s| Regexp.escape(s)}

     unless delimiters.empty?

-      regex = Regexp.new("^[> ]*(#{ delimiters.join('|') })\s*[\r\n].*", Regexp::MULTILINE)

+      regex = Regexp.new("^[> ]*(#{ delimiters.join('|') }).*", Regexp::MULTILINE)

       body = body.gsub(regex, '')

     end

     body.strip

 What do you guys think?

Related issues:

Is duplicate of Redmine - Feature #5864: Regex Text on Receiver Email Closed 2010-07-10

History

#1 - 2013-04-14 03:17 - Filou Centrinov

Category: Email reveiving

#2 - 2013-04-14 07:59 - Toshi MARUYAMA

- Category set to Email receiving

#3 - 2016-12-25 18:43 - Go MAEDA

- Is duplicate of Feature #5864: Regex Text on Receiver Email added

#4 - 2016-12-25 18:45 - Go MAEDA

- Status changed from New to Closed

Regular expression delimiter has been implemented by #5864.

It will be available in upcoming Redmine 3.4.0.

#5 - 2017-01-24 05:44 - Toshi MARUYAMA

- Description updated

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/issues/5864
http://www.tcpdf.org

